<?php
/*
https://wpdebuglog.com/wpcf7-mail-sent/
https://stackoverflow.com/questions/29926252/how-to-hook-into-contact-form-7-before-send

How to change/add data before sending 
https://stackoverflow.com/questions/32784063/how-to-change-data-before-sending-in-contact-form-7
*/
add_action( 'wpcf7_before_send_mail', 'wf99_do_something_else_with_the_data', 90, 1 );    
function wf99_do_something_else_with_the_data( $WPCF7_ContactForm ){
	
    //if( 677 == $WPCF7_ContactForm->id() ){ // geolocate all forms

        //Get current form
        $wpcf7      = WPCF7_ContactForm::get_current();

        // get current SUBMISSION instance
        $submission = WPCF7_Submission::get_instance();

        // Ok go forward
        if( $submission ):

            // get submission data
            $data = $submission->get_posted_data();

            // nothing's here... do nothing...
            if (empty($data))
                return;
				
			$geo = new _geolocation();

            // extract posted data for example to get name and change it
            //$name  = isset($data['your-name']) ? $data['your-name'] : "";

            // do some replacements in the cf7 email body
            $mail = $wpcf7->prop('mail');

            // Find/replace the "[your-name]" tag as defined in your CF7 email body
            // and add changes name
            //$mail['body'] = str_replace('[your-name]', $name . '-tester', $mail['body']);
            $mail['body'] = $mail['body'].'
User Location: '.$geo->get('city').', '.$geo->get('regionName').', '.$geo->get('countryName');

            // Save the email body
            $wpcf7->set_properties(array(
                "mail" => $mail
            ));

            // return current cf7 instance
            return $wpcf7;
        
		endif;
		
    //endif;
	
}

